shisa_keys_find(3)

NAME
shisa_keys_find - API function

SYNOPSIS
#include <shisa.h>

int shisa_keys_find(Shisa * dbh, const char * realm, const char * principal, const Shisa_key * hint, Shisa_key *** keys, size_t * nkeys);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of realm the principal belongs in.

const char * principal
    Name of principal to add key for.

const Shisa_key * hint
    Pointer to Shisa key structure with hints on matching the key to modify, may be NULL to match all keys.

Shisa_key *** keys
    pointer to newly allocated array with Shisa key structures.

size_t * nkeys
    pointer to number of newly allocated Shisa key structures in keys.

DESCRIPTION
Iterate through keys for given PRINCIPALREALM and extract any keys that match hint. Not all elements of hint need to be filled out, only use the fields you are interested in. For example, if you want to extract all keys with an etype of 3 (DES-CBC-MD5), set the key->etype field to 3, and set all other fields to 0.

RETURN VALUE
Returns SHISA_OK iff successful, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.